routes/admin.php
<?php

use Illuminate\Support\Facades\Route;

Route::namespace('Admin')->group(function () {

    Route::redirect('admin', 'admin/login');
    Route::get('admin/login', 'AdminLoginController@showLoginForm')->name('admin.login');
    Route::post('admin/login', 'AdminLoginController@login')->name('admin.login');
    Route::get('admin/logout', 'AdminLoginController@logout')->name('admin.logout');

    Route::group(['middleware' => ['auth:admin']], function () {
        Route::get('admin/dashboard', 'DashboardController@index')->name('admin.dashboard');

        Route::resource('admin/users', AdminUserController::class);

        Route::resource('admin/sellers', SellerController::class);

        Route::resource('admin/brands', BrandController::class);

        Route::resource('admin/products', ProductController::class);

        Route::resource('admin/promotions', PromotionController::class);

        Route::resource('admin/orders', OrderController::class);

        Route::resource('admin/settles', SettleController::class);

        Route::get('admin/settings', 'SettingController@index')->name('admin.settings');

    });
});

routes/web.php
<?php

use Illuminate\Support\Facades\Route;
use Illuminate\Support\Facades\Auth;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
Auth::routes();
Route::group(['middleware' => []], function () {
    Route::get('/', 'DashboardController@home')->name('home');
    Route::get('/dashboard', 'DashboardController@dashboard')->name('dashboard');
    // Product  
    Route::get('/product', 'DashboardController@product')->name('product');
    Route::get('/product/search', 'DashboardController@productSearch')->name('product.search');
    Route::get('/product/detail', 'DashboardController@productDetail')->name('product.detail');
    Route::get('/product/create', 'DashboardController@productCreate')->name('product.create');

    // Branch
    Route::get('/branch', 'DashboardController@branch')->name('branch');

    // Promotion
    Route::get('/promotion', 'DashboardController@promotion')->name('promotion');
    Route::get('/promotion/detail', 'DashboardController@promotionDetail')->name('promotion.detail');


});

Route::get('/cart', function () {
    return view('frontend.cart.index');
});
Route::get('/cart/detail', function () {
    return view('frontend.cart.detail');
});

Route::get('/order', function () {
    return view('frontend.order.index');
});
Route::get('/order/detail', function () {
    return view('frontend.order.detail');
});

Route::get('/delivery', function () {
    return view('frontend.delivery.index');
});
Route::get('/delivery/detail', function () {
    return view('frontend.delivery.detail');
});

app/Models/User.php
<?php

namespace App\Models;

use Illuminate\Contracts\Auth\MustVerifyEmail;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;

class User extends Authenticatable
{
    use HasFactory, Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'name',
        'email',
        'password',
    ];

    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $hidden = [
        'password',
        'remember_token',
    ];

    /**
     * The attributes that should be cast to native types.
     *
     * @var array
     */
    protected $casts = [
        'email_verified_at' => 'datetime',
    ];
}

resources/views/admin/user/create.blade.php
@extends('layouts.admin.backend', ['page' => 'users'])

@section('content')

    <div class="row page-titles">
        <div class="col-md-5 align-self-center">
            <h4 class="text-themecolor">Admin users</h4>
        </div>
        <div class="col-md-7 align-self-center text-right">
            <div class="d-flex justify-content-end align-items-center">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item"><a href="{{ route('admin.dashboard') }}">Dashboard</a></li>
                    <li class="breadcrumb-item"><a href="{{ route('users.index') }}">Admin users</a></li>
                    <li class="breadcrumb-item active">Create New</li>
                </ol>
            </div>
        </div>

    </div>

    <div class="row">
        <div class="col-lg-12">
            <div class="card">
                <div class="card-body">
                    {!! Form::open(['url' => $form->getUrl(), 'method' => $form->getMethod(), 'novalidate' => 'novalidate']) !!}

                    <div class="row">
                        <div class="col-md-9">
                            <div class="main-form">
                                <div class="form-body">
                                    {!! form($form) !!}
                                    <div class="clearfix"></div>
                                </div>
                            </div>
                            <button type="submit" class="btn btn-primary">Save</button>
                        </div>
                    </div>

                    {!! Form::close() !!}
                </div>
            </div>
        </div>
    </div>


@stop

resources/views/admin/user/index.blade.php
@extends('layouts.admin.backend', ['page' => __('users')])

@section('content')
    <div class="row page-titles">
        <div class="col-md-5 align-self-center">
            <h4 class="text-themecolor">Admin users</h4>
        </div>
        <div class="col-md-7 align-self-center text-right">
            <div class="d-flex justify-content-end align-items-center">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item"><a href="{{ route('admin.dashboard') }}">Dashboard</a></li>
                    <li class="breadcrumb-item active">Admin users</li>
                </ol>
                <a href="{{ route('users.create') }}" class="btn btn-info d-none d-lg-block m-l-15"><i class="fa fa-plus-circle"></i> Create New</a>
            </div>
        </div>

    </div>

    <div class="row">
        <div class="col-lg-12">
            <div class="card">
                <div class="card-body">
                    <div class="table-responsive table-has-actions table-has-filter">
                        {!! $dataTable->table() !!}
                    </div>
                </div>
            </div>
        </div>
    </div>

    @include('admin.user.datatable.modal')
@stop

@push('javascript')
    {!! $dataTable->scripts() !!}
@endpush